--
-- dirtExtension
-- Specialization for dirtExtension
-- 
-- @org.author: Knagstedt
-- @author:		Michi77
-- @date:		10/07/16
-- @version:	v1.5
-- @history:	v1.0 - initial version
--				v1.5 - bug fixes
--
-- free for non-commercial usage


headerTrailer = {};

function headerTrailer.prerequisitesPresent(specializations)
		Vehicle.registerJointType("cutter");
	return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;

function headerTrailer:load(xmlFile)
end;

function headerTrailer:keyEvent(unicode, sym, modifier, isDown)
end;

function headerTrailer:update(dt)
	if self:getIsActive() and self:getIsActiveForInput(false) and not self:hasInputConflictWithSelection() and InputBinding.hasEvent(InputBinding.DETACH_MULTIPLE) then
		for i=table.getn(self.attachedImplements), 1, -1 do
			self:detachImplement(1);
			self.attacherVehicle:detachImplement(self.attacherVehicle:getImplementIndexByObject(self));

		end;
	end;
end;

function headerTrailer:mouseEvent(posX, posY, isDown, isUp, button)
end;

function headerTrailer:draw()
	g_currentMission:addHelpButtonText(g_i18n:getText("DETACH_MULTIPLE"), InputBinding.DETACH_MULTIPLE);
end;

function headerTrailer:delete()
end;


function headerTrailer:onDetach()
end;